using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Celeste;
using Celeste.Mod;

using YamlDotNet.Serialization;


namespace Bitsbolts {
  public class ModuleSession : EverestModuleSession {
    public SerializedEntityLookup StoredEntities = new SerializedEntityLookup();

    // Ephemeral session data for SaveDataFlagSync
    internal Dictionary<string, string> SaveDataFlagsLoad = new Dictionary<string, string>();
    internal Dictionary<string, string> SaveDataFlagsSave = new Dictionary<string, string>();

    // Cross-room respawn target for ChangeRespawnCrossRoom
    public string RespawnPointLevel = null;
  }
}
